> ## Documentation Index
> Fetch the complete documentation index at: https://www.billingserv.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers



## OpenAPI

````yaml /api-reference/openapi.json get /customer/lists
openapi: 3.1.0
info:
  title: BillingServ API V2
  description: >-
    Resources and tools for developers to integrate with the BillingServ v2 API.
    v1 is deprecated; use the v2 base URL and bearer-token authentication unless
    an endpoint states otherwise.
  version: '2.0'
servers:
  - url: https://demo.onlinebillingform.com/api/v2
    description: BillingServ demo API
security:
  - bearerAuth: []
tags:
  - name: Customer
  - name: Package
  - name: Group
  - name: Country
  - name: County
  - name: VPN
  - name: Invoice
  - name: Order
  - name: Module
  - name: Report
  - name: Marketing
  - name: Setting
  - name: Checkout
  - name: Usage
  - name: Support
paths:
  /customer/lists:
    get:
      tags:
        - Customer
      summary: List customers
      operationId: GET_customer_lists
      parameters:
        - name: page
          in: query
          required: false
          description: ''
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: ''
          schema:
            type: integer
        - name: search
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: sort_by
          in: query
          required: false
          description: One of id, name, username, email, created_at, updated_at
          schema:
            type: string
        - name: sort_dir
          in: query
          required: false
          description: asc or desc
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              example:
                success: true
                users:
                  - id: 4
                    name: Test User
                    username: test@baseserv.com
                    email: test@baseserv.com
                    account_type: 2
                    api_type: sandbox
                    mailing_contact:
                      contact_name: Test User
                      phone: '03302207048'
                      email: test@baseserv.com
                      city: Test City
                      county_id: 1231
                      country_id: 81
                pagination:
                  total: 1
                  per_page: 15
                  current_page: 1
                  last_page: 1
                  from: 1
                  to: 1
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                errors: Invalid API Key
        '403':
          description: Authenticated key does not have permission for this endpoint
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                errors: Insufficient permissions for this endpoint.
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
              example:
                success: false
                errors:
                  id:
                    - The id field is required.
      security:
        - bearerAuth: []
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        success:
          type: boolean
      additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errors:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
            - type: object
              additionalProperties: true
      additionalProperties: true
    ValidationErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errors:
          oneOf:
            - type: array
              items:
                type: string
            - type: object
              additionalProperties: true
            - type: string
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'Use `Authorization: Bearer <live_api_key>`.'

````